Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 135704 - AssertionError on using casts in Logging
AssertionError on using casts in Logging
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: BPEL Mapper
6.x
PC All
: P2 (vote)
: 6.x
Assigned To: Vitaly Bychkov
issues@soa
61fixes2-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 14:37 UTC by Andrei Chistiakov
Modified: 2008-07-10 15:03 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
sample project (13.72 KB, application/x-compressed)
2008-05-23 14:38 UTC, Andrei Chistiakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Chistiakov 2008-05-23 14:37:31 UTC
Reproduced with NetBeans IDE Dev (Build 200805221203).

To reproduce:
- open the attached project;
- select Receive activity and switch to Logging;
- bind a casted node on source tree to a node on target tree.

java.lang.AssertionError
	at org.netbeans.modules.bpel.model.impl.ExtensibleElementsImpl.addExtensionEntity(ExtensibleElementsImpl.java:171)
	at org.netbeans.modules.bpel.mapper.cast.CastManager.getCastsEntity(CastManager.java:269)
	at org.netbeans.modules.bpel.mapper.cast.CastManager.registerTypeCasts(CastManager.java:324)
	at org.netbeans.modules.bpel.mapper.model.AbstractBpelModelUpdater.registerTypeCasts(AbstractBpelModelUpdater.java:561)
	at
org.netbeans.modules.bpel.mapper.logging.model.LoggingBpelModelUpdater.updateExtensileElements(LoggingBpelModelUpdater.java:203)
	at org.netbeans.modules.bpel.mapper.logging.model.LoggingBpelModelUpdater.updateOnChanges(LoggingBpelModelUpdater.java:74)
	at org.netbeans.modules.bpel.mapper.model.BpelChangeProcessor$1.call(BpelChangeProcessor.java:60)
	at org.netbeans.modules.bpel.model.impl.BpelModelImpl.invoke(BpelModelImpl.java:234)
	at org.netbeans.modules.bpel.mapper.model.BpelChangeProcessor.processChanges(BpelChangeProcessor.java:58)
	at org.netbeans.modules.bpel.mapper.model.BpelMapperModel.fireGraphChanged(BpelMapperModel.java:551)
	at org.netbeans.modules.bpel.mapper.model.BpelMapperModel.connect(BpelMapperModel.java:364)
	at org.netbeans.modules.soa.mappercore.LinkTool.drop(LinkTool.java:662)
	at org.netbeans.modules.soa.mappercore.AbstractMapperEventHandler.drop(AbstractMapperEventHandler.java:104)
	at org.netbeans.modules.soa.mappercore.dnd.DnDSupport$DropHandler.drop(DnDSupport.java:112)
	at java.awt.dnd.DropTarget.drop(DropTarget.java:430)
	at sun.awt.dnd.SunDropTargetContextPeer.processDropMessage(SunDropTargetContextPeer.java:500)
	at sun.awt.dnd.SunDropTargetContextPeer$EventDispatcher.dispatchDropEvent(SunDropTargetContextPeer.java:812)
	at sun.awt.dnd.SunDropTargetContextPeer$EventDispatcher.dispatchEvent(SunDropTargetContextPeer.java:736)
	at sun.awt.dnd.SunDropTargetEvent.dispatch(SunDropTargetEvent.java:30)
	at java.awt.Component.dispatchEventImpl(Component.java:4270)
...
Comment 1 Andrei Chistiakov 2008-05-23 14:38:15 UTC
Created attachment 61835 [details]
sample project
Comment 2 Sergey Lunegov 2008-05-26 10:52:21 UTC
Vitaly, please look at this.
Comment 3 Vitaly Bychkov 2008-05-27 14:28:39 UTC
Fixed in trunk.

Changeset: 3aef0ca4cc04.
Comment 4 pslechta 2008-05-28 14:04:09 UTC
QA, please verify this fix till 09-Jun-08, so it can be part of NB 6.1 patch 2.
Comment 5 Vitaly Bychkov 2008-06-02 08:37:22 UTC
change status to the fixed.
Comment 6 Andrei Chistiakov 2008-06-02 09:52:53 UTC
Verified with NetBeans IDE Dev (Build 200805291203).
Comment 7 pslechta 2008-06-02 13:11:38 UTC
The fix has been ported into the release61_fixes repository.

http://hg.netbeans.org/release61_fixes/rev/621acdb9a9b2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo